rename_edge_attrs {DiagrammeR} | R Documentation

## Rename an edge attribute

### Description

Within a graph's internal edge data frame (edf), rename an existing edge attribute.

### Usage

    rename_edge_attrs(graph, edge_attr_from, edge_attr_to)

### Arguments

`graph` | a graph object of class `dgr_graph`.
`edge_attr_from` | the name of the edge attribute that will be renamed.
`edge_attr_to` | the new name of the edge attribute column identified in `edge_attr_from`.

### Value

a graph object of class `dgr_graph`.

### Examples

    # Create a random graph
    graph <-
      create_random_graph(
        n = 5, m = 8,
        set_seed = 23) %>%
      set_edge_attrs(
        edge_attr = color,
        values = "green")

    # Get the graph's internal edf
    # to show which edge attributes
    # are available
    get_edge_df(graph)
    #>   id from to  rel color
    #> 1  1    2  3 <NA> green
    #> 2  2    3  5 <NA> green
    #> 3  3    3  4 <NA> green
    #> 4  4    2  4 <NA> green
    #> 5  5    2  5 <NA> green
    #> 6  6    4  5 <NA> green
    #> 7  7    1  4 <NA> green
    #> 8  8    1  3 <NA> green

    # Rename the `value` node
    # attribute as `weight`
    graph <-
      graph %>%
      rename_edge_attrs(
        edge_attr_from = color,
        edge_attr_to = labelfontcolor)

    # Get the graph's internal
    # edf to show that the edge
    # attribute had been renamed
    get_edge_df(graph)
    #>   id from to  rel labelfontcolor
    #> 1  1    2  3 <NA>          green
    #> 2  2    3  5 <NA>          green
    #> 3  3    3  4 <NA>          green
    #> 4  4    2  4 <NA>          green
    #> 5  5    2  5 <NA>          green
    #> 6  6    4  5 <NA>          green
    #> 7  7    1  4 <NA>          green
    #> 8  8    1  3 <NA>          green

[Package DiagrammeR version 0.9.2 Index]